package de.laliluna.tutorial.customconverter.converter;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;

/**
 * Converter Class IntegerConverter
 */
public class IntegerConverter implements Converter{
	
	public final static String CONVERTER_ID = "laliluna.Integer";

	/**
	 * Convert from String into Object
	 */
	public Object getAsObject(FacesContext context, 
							  UIComponent component, 
							  String string) {
		
		Integer iValue;
		try{
			iValue = Integer.valueOf(string);
		} catch(NumberFormatException e){
			throw new ConverterException(new FacesMessage("Convertion into integer failed"));
		}
	
		return iValue;
	}
	
	/**
	 * Convert from Object into String
	 */
	public String getAsString(FacesContext context, 
							  UIComponent component, 
							  Object object) {
		
		String sValue = object.toString();
		
		return sValue;
	}
}
